cancel
Showing results for 
Search instead for 
Did you mean: 

site can’t provide a secure connection on clean Wordpress install

Just set up a new WordPress site www.wearetambrahm.com and getting this error:

 

This site can’t provide a secure connection

wearetambrahm.com uses an unsupported protocol.

ERR_SSL_VERSION_OR_CIPHER_MISMATCH
 
Any help would be great. Thanks!
1 REPLY 1
Community Manager
Community Manager

Re: site can’t provide a secure connection on clean Wordpress install

Hi @wearetambrahm. Thanks for being part of GoDaddy Community!

 

It looks like you were able to get this resolved since the site isn't loading with that error. My guess is that you had the site set up using HTTPS even though you don't yet have an SSL Certificate for the site. I do see that error if I try to access the site using HTTPS in my address bar, though. If you want to install an SSL Certificate, the instructions here should help you do that. 

 

JesseW - GoDaddy | Community Manager | 24/7 support available at x.co/247support | Remember to choose a solution and give kudos.